LuceneIndexMetrics (Apache Geode 1.15.4)

org.apache.geode.cache.lucene.management

## Class LuceneIndexMetrics

- java.lang.Object
- - org.apache.geode.cache.lucene.management.LuceneIndexMetrics

-     public class LuceneIndexMetrics
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneIndexMetrics(String regionPath, String indexName, int queryExecutions, long queryExecutionTime, long queryRateAverageLatency, int queryExecutionsInProgress, long queryExecutionTotalHits, int updates, long updateTime, long updateRateAverageLatency, int updatesInProgress, int commits, long commitTime, long commitRateAverageLatency, int commitsInProgress, int documents)` This constructor is to be used by internal JMX framework only.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCommitRateAverageLatency()` Returns the average latency for the commit operations using the `LuceneIndex`
    `int` | `getCommits()` Returns the number of commit operations executed on the `LuceneIndex`
    `int` | `getCommitsInProgress()` Returns the number of commit operations in progress for the `LuceneIndex`
    `long` | `getCommitTime()` Returns the time consumed by the commit operations on the `LuceneIndex`
    `int` | `getDocuments()` Returns the number of documents indexed by `LuceneIndex`
    `String` | `getIndexName()` Returns the `String` name of the `LuceneIndex` created
    `int` | `getQueryExecutions()` Returns the number of query executions using the `LuceneIndex`
    `int` | `getQueryExecutionsInProgress()` Returns the number of query executions in progress which are using the `LuceneIndex`
    `long` | `getQueryExecutionTime()` Returns the time duration for execution of queries using the `LuceneIndex`
    `long` | `getQueryExecutionTotalHits()` Returns the number of hits for the query execution using the `LuceneIndex`
    `long` | `getQueryRateAverageLatency()` Returns the average latency for query executions using the `LuceneIndex`
    `String` | `getRegionPath()` Returns the `String` path for the region on which the `LuceneIndex` is created
    `long` | `getUpdateRateAverageLatency()` Returns the average latency for the update operations on the `LuceneIndex`
    `int` | `getUpdates()` Returns the number of update operations on the `LuceneIndex`
    `int` | `getUpdatesInProgress()` Returns the number of update operations in progress for the `LuceneIndex`
    `long` | `getUpdateTime()` Returns the time consumed for the update operations on the `LuceneIndex`
    `String` | `toString()` Outputs the string message containing all the stats stored for the `LuceneIndex`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LuceneIndexMetrics

          @ConstructorProperties(value={"regionPath","indexName","queryExecutions","queryExecutionTime","queryRateAverageLatency","queryExecutionsInProgress","queryExecutionTotalHits","updates","updateTime","updateRateAverageLatency","updatesInProgress","commits","commitTime","commitRateAverageLatency","commitsInProgress","documents"})
          public LuceneIndexMetrics(String regionPath,
                                                                                                                                                                                                                                                                                                                                                                            String indexName,
                                                                                                                                                                                                                                                                                                                                                                            int queryExecutions,
                                                                                                                                                                                                                                                                                                                                                                            long queryExecutionTime,
                                                                                                                                                                                                                                                                                                                                                                            long queryRateAverageLatency,
                                                                                                                                                                                                                                                                                                                                                                            int queryExecutionsInProgress,
                                                                                                                                                                                                                                                                                                                                                                            long queryExecutionTotalHits,
                                                                                                                                                                                                                                                                                                                                                                            int updates,
                                                                                                                                                                                                                                                                                                                                                                            long updateTime,
                                                                                                                                                                                                                                                                                                                                                                            long updateRateAverageLatency,
                                                                                                                                                                                                                                                                                                                                                                            int updatesInProgress,
                                                                                                                                                                                                                                                                                                                                                                            int commits,
                                                                                                                                                                                                                                                                                                                                                                            long commitTime,
                                                                                                                                                                                                                                                                                                                                                                            long commitRateAverageLatency,
                                                                                                                                                                                                                                                                                                                                                                            int commitsInProgress,
                                                                                                                                                                                                                                                                                                                                                                            int documents)

      This constructor is to be used by internal JMX framework only. A user should not try to create an instance of this class.
      Parameters:
        `regionPath` - the path for the region on which the `LuceneIndex` is created
        `indexName` - the name of the `LuceneIndex` created
        `queryExecutions` - the number of query executions using the `LuceneIndex`
        `queryExecutionTime` - the time duration for execution of queries using the `LuceneIndex`
        `queryRateAverageLatency` - the average latency for query executions using the `LuceneIndex`
        `queryExecutionsInProgress` - the number of query executions in progress which are using the `LuceneIndex`
        `queryExecutionTotalHits` - the number of hits for the query execution using the `LuceneIndex`
        `updates` - the number of update operations on the `LuceneIndex`
        `updateTime` - the time consumed for the update operations on the `LuceneIndex`
        `updateRateAverageLatency` - the average latency for the update operations on the `LuceneIndex`
        `updatesInProgress` - the number of update operations in progress for the `LuceneIndex`
        `commits` - the number of commit operations executed on the `LuceneIndex`
        `commitTime` - the time consumed by the commit operations on the `LuceneIndex`
        `commitRateAverageLatency` - the average latency for the commit operations using the `LuceneIndex`
        `commitsInProgress` - the number of commit operations in progress for the `LuceneIndex`
        `documents` - the number of documents indexed by `LuceneIndex`

  - ### Method Detail

    - #### getRegionPath

          public String getRegionPath()

      Returns the `String` path for the region on which the `LuceneIndex` is created
      Returns:
        String value of the region path on the Lucene Index is created

    - #### getIndexName

          public String getIndexName()

      Returns the `String` name of the `LuceneIndex` created
      Returns:
        String value of the index name

    - #### getQueryExecutions

          public int getQueryExecutions()

      Returns the number of query executions using the `LuceneIndex`
      Returns:
        Number of queries executed using this Lucene index

    - #### getQueryExecutionTime

          public long getQueryExecutionTime()

      Returns the time duration for execution of queries using the `LuceneIndex`
      Returns:
        long value for the time in nanoseconds consumed in the execution of queries using this Lucene Index

    - #### getQueryRateAverageLatency

          public long getQueryRateAverageLatency()

      Returns the average latency for query executions using the `LuceneIndex`
      Returns:
        the average latency for query executions in nanoseconds using the Lucene Index

    - #### getQueryExecutionsInProgress

          public int getQueryExecutionsInProgress()

      Returns the number of query executions in progress which are using the `LuceneIndex`
      Returns:
        the number of query executions in progress which are using the Lucene Index

    - #### getQueryExecutionTotalHits

          public long getQueryExecutionTotalHits()

      Returns the number of hits for the query execution using the `LuceneIndex`
      Returns:
        the number of hits for the query execution using the Lucene Index

    - #### getUpdates

          public int getUpdates()

      Returns the number of update operations on the `LuceneIndex`
      Returns:
        the number of update operations on the Lucene Index

    - #### getUpdateTime

          public long getUpdateTime()

      Returns the time consumed for the update operations on the `LuceneIndex`
      Returns:
        the time consumed in nanoseconds for the update operations on the Lucene Index

    - #### getUpdateRateAverageLatency

          public long getUpdateRateAverageLatency()

      Returns the average latency for the update operations on the `LuceneIndex`
      Returns:
        the average latency for the update operations in nanoseconds on the Lucene Index

    - #### getUpdatesInProgress

          public int getUpdatesInProgress()

      Returns the number of update operations in progress for the `LuceneIndex`
      Returns:
        the number of update operations in progress for the Lucene Index

    - #### getCommits

          public int getCommits()

      Returns the number of commit operations executed on the `LuceneIndex`
      Returns:
        the number of commit operations executed on the Lucene Index

    - #### getCommitTime

          public long getCommitTime()

      Returns the time consumed by the commit operations on the `LuceneIndex`
      Returns:
        the time consumed in nanoseconds by the commit operations on the Lucene Index

    - #### getCommitRateAverageLatency

          public long getCommitRateAverageLatency()

      Returns the average latency for the commit operations using the `LuceneIndex`
      Returns:
        Returns the average latency for the commit operations in nanoseconds using the Lucene Index

    - #### getCommitsInProgress

          public int getCommitsInProgress()

      Returns the number of commit operations in progress for the `LuceneIndex`
      Returns:
        Returns the number of commit operations in progress for the Lucene Indexes

    - #### getDocuments

          public int getDocuments()

      Returns the number of documents indexed by `LuceneIndex`
      Returns:
        Returns the number of documents indexed by Lucene

    - #### toString

          public String toString()

      Outputs the string message containing all the stats stored for the `LuceneIndex`
      Overrides:
        `toString` in class `Object`
      Returns:
        the string message containing all the stats stored for the Lucene Index